package com.css.simulation.resource.scene;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.scene.SceneImportParam;
import api.common.pojo.po.system.SceneImportPO;
import com.css.simulation.resource.scene.feign.SceneService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.annotation.Resource;

@Controller
@RequestMapping("/sceneImport")
public class SceneImportCtrl {

    @Autowired
    SceneImportService sceneImportService;

    @Resource
    SceneService sceneService;

    /**
     * 上传
     */
    @RequestMapping("/startImport")
    @ResponseBody
    public ResponseBodyVO startImport(@RequestBody SceneImportPO po) {
        ResponseBodyVO<Boolean> response = new ResponseBodyVO(ResponseBodyVO.Response.SUCCESS);
        response.setInfo(sceneImportService.startImport(po));
        SceneImportParam param = new SceneImportParam();
        param.setId(po.getId());
        param.setMinioDirectory(po.getDataDirectory());
        sceneService.saveSceneAccidentBatch(param);
        return response;
    }
}
