package com.css.simulation.resource.system.service;

import api.common.pojo.constants.DictConstants;
import api.common.pojo.po.system.SceneImportPO;
import api.common.util.ObjectUtil;
import api.common.util.StringUtil;
import com.css.simulation.resource.common.utils.PoUtil;
import com.css.simulation.resource.system.mapper.SceneImportMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SceneImportService {



    @Autowired
    SceneImportMapper sceneImportMapper;

    public SceneImportPO saveTask(SceneImportPO po) {
        //名称校验
        List<SceneImportPO> list = sceneImportMapper.checkName(po);
        if(ObjectUtil.isNotNull(list)){
            po.setId(null);
            return po;
        }
        //常规字段赋值
        PoUtil.initAddPo(po);
        String id = po.getId();
        po.setStatus(DictConstants.SCENE_IMPORT_STATUS_0);//重置状态
        if(ObjectUtil.isNull(id)) {//新增
            po.setId(StringUtil.getRandomUUID());
            sceneImportMapper.insert(po);
        }else{
            sceneImportMapper.update(po);
        }
        return po;
    }

}
